Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy
Class ProxyMethodInvocation

    java.lang.Object
      org.jboss.aop.joinpoint.InvocationBase
          org.jboss.aop.joinpoint.MethodInvocation
              org.jboss.aop.proxy.ProxyMethodInvocation

All Implemented Interfaces:
  Externalizable, Invocation, Serializable

public class ProxyMethodInvocation
extends MethodInvocation

Comment

Version:
  $Revision: 1.8 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.aop.joinpoint.MethodInvocation
`advisedMethod, arguments, marshalledArguments, methodHash, unadvisedMethod`

Fields inherited from class org.jboss.aop.joinpoint.InvocationBase
`advisor, currentInterceptor, instanceResolver, interceptors, metadata, responseContextInfo, targetObject`

Constructor Summary
`ProxyMethodInvocation()`
`ProxyMethodInvocation(MethodMapped mapped, Interceptor[] interceptors)`
`ProxyMethodInvocation(MethodMapped mapped, MethodInfo info, Interceptor[] interceptors)`

Method Summary
`Method` | `getActualMethod()`
`Method` | `getMethod()`

Methods inherited from class org.jboss.aop.joinpoint.MethodInvocation
`copy, getAdvisor, getArguments, getMetaData, getMethodHash, getWrapper, handleErrors, invokeNext, readExternal, resolveAnnotation, resolveAnnotation, setArguments, toString, writeExternal`

Methods inherited from class org.jboss.aop.joinpoint.InvocationBase
`addResponseAttachment, getCurrentInterceptor, getInstanceResolver, getInterceptors, getMetaData, getResponseAttachment, getResponseContextInfo, getTargetObject, invokeNext, resolveClassAnnotation, resolveClassMetaData, setAdvisor, setInstanceResolver, setMetaData, setResponseContextInfo, setTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProxyMethodInvocation

    public ProxyMethodInvocation(MethodMapped mapped,
                                 MethodInfo info,
                                 Interceptor[] interceptors)

### ProxyMethodInvocation

    public ProxyMethodInvocation(MethodMapped mapped,
                                 Interceptor[] interceptors)

### ProxyMethodInvocation

    public ProxyMethodInvocation()

Method Detail

### getMethod

    public Method getMethod()

  Overrides:
    `getMethod` in class `MethodInvocation`

### getActualMethod

    public Method getActualMethod()

  Overrides:
    `getActualMethod` in class `MethodInvocation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.